/*
 * csspreload.js
 *
 * kpek eltltse css-bl (background-image)
 * 
 * Varga Bence 2006
 */
 
function cssPreloadImages() {
	var i, j, img;
	for (i=0; i<document.styleSheets.length; i++) {
		var pos = document.styleSheets[i].href.lastIndexOf("/");
		var cssDir = (pos != -1) ? document.styleSheets[i].href.substring(0, pos + 1) : "";
		var rules = document.styleSheets[i].cssRules ? document.styleSheets[i].cssRules : document.styleSheets[i].rules;
		for (j=0; j<rules.length; j++) {
			var style = rules[j].style;
			if (style.backgroundImage.toLowerCase().substr(0,4) == "url(") {
				var filename = style.backgroundImage.substring(4, style.backgroundImage.length - 1);
				if (filename.indexOf("http://") != 0 && filename.indexOf("/") != 0)
					filename = cssDir + filename;
				var img = new Image();
				img.src = filename;
			}
		}
	}
}

if (window.attachEvent) {
	// IE
	window.attachEvent("onload", cssPreloadImages);
	
} else {
	// DOM
	window.addEventListener("load", cssPreloadImages, false);
	
}